Subject: [ipcdn] RE: Time Offset for docsBpi2Code*AccessStart in BPI+ MIB

From: "Kaz Ozawa" <[email-masked]>
Date: Fri, 10 Aug 2001 01:13:34 -0600

Greg,

I see your point. Probably we can allow any time offset value because there 
is no ambiguity as long as the time offset is specified. However, as you 
pointed out, we should specify if the 8-octet format without time offset is 
either the local time or the GMT. If there is not a text "... value 
referenced to Greenwich Mean Time (GMT)", there is no doubt that it's local 
time. But why this text is necessary if the 8-octet format is the local 
time? Therefore, I believe the 8-octet format should be GMT as long as the 
above text is in the description. 

On the other hand, other objects with DateAndTime syntax such as 
docsDevDateTime, docsBpi*Expires* are local time if they are 8-octet format. 
It may make sense to remove the portion "referenced to Greenwich Mean Time 
(GMT)" from the description and show the local time in the 8-octet format. 
If the CM want to use the GMT, it can use the 11-octet format with the time 
offset "+0:0".

Any comments?

BTW, I found my email on the same topic sent to IETF ipcdn mailing list on 
5/25. At that time, I did not receive any comments. I am forwarding this 
email to ipcdn mailing list again to hear the opinion of the people on the 
list.

Thanks,
kaz

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Nakanishi, Greg
> (SD-EX)
> Sent: Thursday, August 09, 2001 12:35 PM
> To: 'Kaz Ozawa'; DOCSIS OSS Mailing List; DOCSIS Security Mailing List
> Subject: RE: Time Offset for docsBpi2Code*AccessStart in BPI+ MIB
> 
> 
> Kaz,
> 
> I interpret ".... value referenced to Greenwich Mean Time (GMT)." to mean
> that GMT can be determined from the date/time value stored in the mib
> object.   The important thing is that GMT can be determined so that the CM
> can properly compare the accessStartTime with the validity start in the CVC.
> 
> To me it is OK for the CM to store the date/time as "local time" in the mib
> object, so long as the offset is also stored to be able to determine GMT.  
> 
> That said, I think any 11-octet format (i.e. date/time + offset) should be
> valid.
> 
> On the other hand, the 8-octet format is ambiguous because without the
> offset you don't know what time zone is represented by the date/time.
> Hence, no reference to GMT.
> 
> greg 
> 
> > -----Original Message-----
> > From: Kaz Ozawa [mailto:[email-masked]]
> > Sent: Wednesday, August 08, 2001 9:07 AM
> > To: DOCSIS OSS Mailing List; DOCSIS Security Mailing List
> > Subject: Time Offset for docsBpi2Code*AccessStart in BPI+ MIB
> > 
> > 
> > In the BPI+ MIB (draft-ietf-ipcdn-bpiplus-mib-05.txt), there are 4 
> > MIB objects which show the AccesStart time value used for the DOCSIS 
> > BPI+ Secure Software Downloading.
> > 
> > 	docsBpi2CodeMfgCodeAccessStart
> > 	docsBpi2CodeMfgCvcAccessStart
> > 	docsBpi2CodeCoSignerCodeAccessStart
> > 	docsBpi2CodeCoSignerCvcAccessStart
> > 
> > In the description of these 4 objects, it reads ".... value 
> > referenced 
> > to Greenwich Mean Time (GMT)." Therefore, the 8-octets Octet String 
> > without offset and the 11-octets Octet String with offset "+0:0" (or 
> > "-0:0"?) are correct but I think all the other cases (ex. 11-octet 
> > Octet String with offset "-6:0" for MDT) are not correct. Should we 
> > add clarification to these descriptions?
> > 
> > Thanks,
> > kaz
> > 
> 

_______________________________________________
IPCDN mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ipcdn